/*
 * [The "BSD licence"]
 * Copyright (c) 2013 Dandelion
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Dandelion nor the names of its contributors
 * may be used to endorse or promote products derived from this software
 * without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package com.github.dandelion.webanalytics.core;

import com.github.dandelion.core.config.Configuration;

/**
 * Access to the Webanalytics Configuration
 */
public class WebanalyticsConfiguration {

    public static String getProvider(String provider) {
        String _provider = getProvider();
        if(_provider == null || _provider.isEmpty()) {
            _provider = provider;
        }
        return _provider;
    }

    public static String getProvider() {
        return Configuration.getProperty(KEYS.PROVIDER.getKey());
    }

    public static String getToken(String token) {
        String _token = getToken();
        if(_token == null || _token.isEmpty()) {
            _token = token;
        }
        return _token;
    }

    public static String getToken() {
        return Configuration.getProperty(KEYS.TOKEN.getKey());
    }

    public static enum KEYS {
        PROVIDER("webanalytics.provider"), TOKEN("webanalytics.token");

        String key;

        private KEYS(String key) {
            this.key = key;
        }

        public String getKey() {
            return key;
        }
    }
}
